%define module	Unicode-Map8
%define name	perl-%{module}
%define version 0.12
%define release %mkrel 11

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Mapping table between 8-bit chars and Unicode
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Buildrequires:	perl-devel
# (tv) for test suite:
Buildrequires:	perl-Unicode-String
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Unicode::Map8 class implement efficient mapping tables between 8-bit
character sets and 16 bit character sets like Unicode. The tables are efficient
both in terms of space allocated and translation speed. The 16-bit strings is
assumed to use network byte order.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# (tv) test suite failed in iurt but success with iurt --shell :-(
#%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/Unicode
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-11mdv2009.0
+ Revision: 224584
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.12-10mdv2008.1
+ Revision: 151402
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.12-9mdv2008.0
+ Revision: 68994
- disable the test suite since it failed in iurt but success with iurt --shell
- buildrequires perl-Unicode-String for the test suite

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild
    - rebuild


* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-6mdk
- spec cleanup
- %%mkrel
- better url

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.12-5mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-4mdk 
- fixed summary capitalization

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-2mdk
- fixed dir ownership (distlint)

* Tue Dec 09 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-1mdk
- first mdk release

